#!/bin/sh

set -x

export RUNNING_IN_HUDSON=1
export TMPDIR=/space/hudson/tmpfs/legacysupporttest-$$
export FILE_CACHE_DIR=$TMPDIR
export STATE51_PLATFORM_TEST_DATA=/space/platform-test-data/

mkdir $TMPDIR

rm -rf tmp/

if [ -d "state51" ]; then

   cd state51
   git fetch
   git checkout master
   git reset --hard origin/master

else

   git clone git@button:state51Platform
   mv state51Platform state51
   cd state51

fi

rm -rf pm_to_blib blib
perl Makefile.PL
make

cd $WORKSPACE

perl Makefile.PL
make
perl -Istate51/blib/lib -Iblib/lib -Mstate51::Script::Test::RunJUnit -e'state51::Script::Test::RunJUnit->new->run'
rm -rfv $TMPDIR
